# Role: ssh_agent

## Description

Installs a user-scoped systemd service for starting ssh-agent.

https://www.openssh.com/

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.ssh_agent
  vars:
    ...
```

### Vars

`ssh_agent_systemd_service_scope`:

Scope of the systemd service.

`ssh_agent_home_config_dir`:

Path to home config directory.

`ssh_agent_user`:

Owner used for the files.

`ssh_agent_group`:

Group used for the files.
